GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Functions
priming.h File Reference
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/network.h"`
`#include "fourdst/composition/atomicSpecies.h"`

## Namespaces
namespace | gridfire

## Functions
PrimingReport | gridfire::primeNetwork (const NetIn &netIn, DynamicEngine &engine)
| Primes absent species in the network to their equilibrium abundances.
double | gridfire::calculateDestructionRateConstant (const DynamicEngine &engine, const fourdst::atomic::Species &species, const fourdst::composition::Composition &composition, double T9, double rho)
| Computes the destruction rate constant for a specific species.
double | gridfire::calculateCreationRate (const DynamicEngine &engine, const fourdst::atomic::Species &species, const fourdst::composition::Composition &composition, double T9, double rho)
| Computes the creation rate for a specific species.